package com.akamai.media.demo4;


import android.content.Context;
import android.util.AttributeSet;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageButton;
import android.widget.LinearLayout;

public class PlayerPlayControls extends LinearLayout 
{
	ImageButton mPlayPauseBtn;
	ImageButton mRewindBtn;
	ImageButton mForwardBtn;
	ImageButton mFullscreen;
	 
	PlayerVideoActivity mParent;
	
	
	public PlayerPlayControls(Context context, AttributeSet attrs)
	{
		super(context, attrs);
   
		mParent = (PlayerVideoActivity) context;
		
		setBackgroundColor(android.graphics.Color.argb(50, 190, 190, 190));
        setOrientation(HORIZONTAL);
        setGravity(Gravity.CENTER);
        
        // Here we build the child views in code
        LayoutInflater.from(context).inflate(R.layout.playercontrols, this, true);
        mPlayPauseBtn = (ImageButton)findViewById(R.id.PlayPause);
        mRewindBtn = (ImageButton)findViewById(R.id.Rewind);
        mForwardBtn = (ImageButton)findViewById(R.id.Forward);
        mFullscreen = (ImageButton)findViewById(R.id.Fullscreen);
        
        mPlayPauseBtn.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) 
            {
            	mParent.playPause();
            }
        });
        
        mRewindBtn.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) 
            {
            	mParent.rewind();
            }
        });
        
        mForwardBtn.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) 
            {
            	mParent.forward();
            }
        });
        
        mFullscreen.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) 
            {
            	mParent.toggleFullscreen();
            }
        });
    }
	
	public Boolean isTouching()
	{
		return mPlayPauseBtn.isPressed() || mRewindBtn.isPressed() || mForwardBtn.isPressed();
	}
	
	public void setStatus(Boolean playing)
	{
		if(playing)
		{
			mPlayPauseBtn.setImageResource(R.drawable.controls_pause);
		}
		else
		{
			mPlayPauseBtn.setImageResource(R.drawable.controls_play);
		}
	}
}
